Package org.python.core

# Enum CodeFlag

java.lang.Object
java.lang.Enum<CodeFlag>
org.python.core.CodeFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<CodeFlag>`, `java.lang.constant.Constable`

public enum CodeFlag extends Enum<CodeFlag>
Represents flags that can be set on code objects.

Author:
  Tobias Ivarsson

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CO_FUTURE_ABSOLUTE_IMPORT`
Absolute import.
`CO_FUTURE_DIVISION`
Standard division of integers returns float, truncating division needs to be enforced.
`CO_FUTURE_PRINT_FUNCTION`
print function.
`CO_FUTURE_UNICODE_LITERALS`
unicode literals.
`CO_FUTURE_WITH_STATEMENT`
With statement.
`CO_GENERATOR`
The compiled code block is a generator code block.
`CO_GENERATOR_ALLOWED`
Denotes that generators are enabled in the code block.
`CO_NESTED`
Denotes that nested scopes are enabled in the code block.
`CO_NEWLOCALS`
Denotes that a new dictionary should be created for the code block.
`CO_OPTIMIZED`
Denotes that the code block uses fast locals.
`CO_VARARGS`
The compiled code block has a varargs argument.
`CO_VARKEYWORDS`
The compiled code block has a varkeyword argument.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`flag`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFlagBitSetIn(int flags)`
`static CodeFlag`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CodeFlag[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CO_OPTIMIZED

public static final CodeFlag CO_OPTIMIZED
Denotes that the code block uses fast locals.

### CO_NEWLOCALS

public static final CodeFlag CO_NEWLOCALS
Denotes that a new dictionary should be created for the code block.

### CO_VARARGS

public static final CodeFlag CO_VARARGS
The compiled code block has a varargs argument.

### CO_VARKEYWORDS

public static final CodeFlag CO_VARKEYWORDS
The compiled code block has a varkeyword argument.

### CO_GENERATOR

public static final CodeFlag CO_GENERATOR
The compiled code block is a generator code block.

### CO_NESTED

public static final CodeFlag CO_NESTED
Denotes that nested scopes are enabled in the code block.

### CO_GENERATOR_ALLOWED

public static final CodeFlag CO_GENERATOR_ALLOWED
Denotes that generators are enabled in the code block.

### CO_FUTURE_DIVISION

public static final CodeFlag CO_FUTURE_DIVISION
Standard division of integers returns float, truncating division needs to be enforced.

### CO_FUTURE_ABSOLUTE_IMPORT

public static final CodeFlag CO_FUTURE_ABSOLUTE_IMPORT
Absolute import.

### CO_FUTURE_WITH_STATEMENT

public static final CodeFlag CO_FUTURE_WITH_STATEMENT
With statement.

### CO_FUTURE_PRINT_FUNCTION

public static final CodeFlag CO_FUTURE_PRINT_FUNCTION
print function.

### CO_FUTURE_UNICODE_LITERALS

public static final CodeFlag CO_FUTURE_UNICODE_LITERALS
unicode literals.

## Field Details

### flag

public final int flag

## Method Details

### values

public static CodeFlag[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CodeFlag valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isFlagBitSetIn

public boolean isFlagBitSetIn(int flags)